Subject: Fw: Invoice 1374026
From: "LLPS Customer Service" <[email-masked]>
To: "Maggie" <[email-masked]>
Date: Wed, 30 Nov 2011 14:40:29 -0500

This was a Meia order.

From: Deveda Cain 
Sent: Wednesday, November 30, 2011 1:52 PM
To: Labor Law Poster Service 
Subject: Re: Invoice 1374026

I did not place an order; I asked that you send us information regarding the 
posters you have, the costs for such, and anything else you could provide 
about your services.  I DO NOT WANT TO PLACE AN ORDER AT THIS TIME.

Deveda Cain

----- Original Message ----- 
From: "Labor Law Poster Service" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, November 30, 2011 11:16 AM
Subject: Invoice 1374026

>
>
> -------------------------
> Thank you for your order. Your invoice is attached.
>
> This is an automatically generated message from Labor Law Poster Service.
> UID: 499